Currently, the Sphere native and UAD plug-ins are not officially supported on M1 Macs, although we have reports of customers who are successfully running the current native version (using Rosetta) in the latest (M1 native) version of Logic Pro. Logic handles this automatically behind the scenes so it should just work. We do not recommend running earlier Intel versions of Logic with Rosetta due to reports of crashes.

We are working on a new version of Sphere that will run natively on M1 Macs. Contact us if you want to try out a pre-release version.